@metalicjames metalicjames released this Jan 7, 2019

Assets 12

This release contains no changes over 3.3.0-rc2.

Currently the MacOS version requires at least 10.13 (High Sierra).

Remember to backup your wallet before upgrading.

The binaries are signed with my PGP key.